use axum::routing::{delete, get, get_service, post};
use routes::scripts::{delete_script, get_script_by_id, get_scripts, upload_script};
use sqlx::SqlitePool;
use tower_http::services::ServeDir;
mod routes;

pub fn new_router(db: SqlitePool) -> axum::Router {
    axum::Router::new()
        .fallback_service(get_service(ServeDir::new("assets")))
        .route("/scripts", get(get_scripts))
        .route("/scripts", post(upload_script))
        .route("/scripts/{id}", get(get_script_by_id))
        .route("/scripts/{id}", delete(delete_script))
        .with_state(db)
}
